Page MenuHomePhabricator

boot from UEFI
Closed, ResolvedPublicFEATURE REQUEST

Description

We need grubefi and what else
to boot from uefi

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Related Objects

StatusAssignedTask
OpenUnicronNL
ResolvedUnicronNL
syncer created this task.Sep 23 2018, 2:10 PM
syncer triaged this task as High priority.
c-po added a subscriber: c-po.Sep 27 2018, 2:09 PM

This will be a killer feature. I wanted to spin a Atom C3000 board with VyOS 1.2 but that board comes with UEFI only so right now, no VyOS on this one. Debian Jessie CD on the other hand boots fine (build with UEFI support)

syncer changed the task status from Open to In progress.Oct 29 2018, 9:52 AM
syncer moved this task from Backlog to In Progress on the VyOS 1.2.x (VyOS 1.2.0-rc5) board.

@syncer i added a branch in vyos-build, after testing, do you think we can merge to current/crux and update the live-build package on the build server?

@UnicronNL i think you can add it to rolling now so people can test and we add it to next RC

syncer closed this task as Resolved.Nov 9 2018, 8:44 PM
syncer moved this task from In Progress to Finished on the VyOS 1.2.x (VyOS 1.2.0-rc7) board.
syncer added a project: VyOS-1.2.0-LTS.